Subject: bug#75861: 31.0.50; calc units error

From: Michael Heerdegen <[email-masked]>
Date: Sat, 01 Feb 2025 00:37:38 +0100

Hello,

Ulrich, you were the last one to change code in "calc-units.el" so I
just CC you here if you don't mind... if you get the chance, could you
maybe have a look into this issue?

> It seems that a better design would always interpret built-in
> expressions in the default language.  Or better yet warn that the
> units functionality is only available in the default language.

I don't think this is necessary, the combination of unit definition and
language syntax is still a special case.  I would want to try to fix
this.

One simple possibility could be to predefine ln(10) as a math constant
and refer to it in the unit definition.  I think we did something
similar in other places, don't recall the reasons.

> Since '1 cm' doesn't mean anything in the other languages anyway.

Isn't it interpreted the same in all language modes?

Michael.